> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks

<Warning>
  **v1 (legacy).** This page documents the API before the v2 update. The v1
  format is not enabled for new accounts and must be enabled on your account by
  your account manager. New integrations should use the
  [current documentation](/introduction). To update an existing integration,
  follow the [migration guide](/migration).
</Warning>


## OpenAPI

````yaml v1/api-reference/webhooks-docs.json get /api/webhooks
openapi: 3.0.0
info:
  version: v1.0.0
  title: Webhooks API (legacy v1)
  description: API for managing webhooks in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/webhooks:
    get:
      summary: Get all webhook registrations
      parameters:
        - $ref: '#/components/parameters/userIdQueryParameter'
        - $ref: '#/components/parameters/pageQueryParameter'
        - $ref: '#/components/parameters/limitQueryParameter'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseAllWebhooksSchema'
          description: OK
components:
  parameters:
    userIdQueryParameter:
      name: userId
      in: query
      description: User id to filter the results.
      example: 66562bc04fe8bf83c577c178
      schema:
        type: string
    pageQueryParameter:
      name: page
      in: query
      description: Used to specify the current page you want to get in the paging results.
      schema:
        type: integer
    limitQueryParameter:
      name: limit
      in: query
      description: >-
        Used to specify the maximum number of records to be returned on a single
        page.
      schema:
        type: integer
  schemas:
    responseAllWebhooksSchema:
      type: array
      items:
        type: object
        properties:
          userId:
            type: string
            description: Id of the user that the webhook is for
            example: 66562bc04fe8bf83c577c178
          type:
            type: string
            description: Type of webhook
            enum:
              - orders
              - bank-accounts
              - users
          url:
            type: string
            description: URL to send the webhook to
            example: https://app.test.rio.trade/en/account
          id:
            type: string
            description: Id of the webhook registration
            example: 66733d33222710ab2785dc62
          retryOnFailure:
            type: boolean
            description: Whether the webhook will retry on failure
            example: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.